﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_create_directory
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Start with a directory below the startup directory.
        private void Form1_Load(object sender, EventArgs e)
        {
            txtDirectory.Text = Path.Combine(Application.StartupPath, "DirA\\DirB\\DirC");
        }

        // Create the directory.
        private void btnCreate_Click(object sender, EventArgs e)
        {
            if (Directory.Exists(txtDirectory.Text))
            {
                MessageBox.Show("This directory already exists.",
                    "Already Exists", MessageBoxButtons.OK,
                    MessageBoxIcon.Information);
            }
            else
            {
                Directory.CreateDirectory(txtDirectory.Text);
                MessageBox.Show("Directory created.",
                    "Directory Created", MessageBoxButtons.OK,
                    MessageBoxIcon.Information);
            }
        }
    }
}
